name: MOLEX_475531001
description: connector, SIM, mini/2FF, push-push
datasheet: https://www.molex.com/pdm_docs/sd/475531001_sd.pdf

pinout:
  C:
   C1: 1
   C2: 3
   C3: 5
   C5: 2
   C6: 4
   C7: 6
  CD: 7-8

properties:
  passive: C, CD

schematic:
  symbol: connector
  options: no-pin
  left: C, CD

housing:
  pattern: custom
  bodyWidth: 26.5
  bodyLength: 19.35
  height: 1.8

  # C, CD
  pitch: 1.27
  rowCount: 8
  columnCount: 1
  padWidth: 2.3
  padHeight: 1.0
  columnDX: -12.7 # 26.5/2+0.6-2.3/2
  columnDY: 1.46 # 19.35/2-3.77-1.27*3.5

  # front pads
  pitch1: 20.55
  rowCount1: 2
  columnCount1: 1
  padWidth1: 2.95
  padHeight1: 1.5
  columnDX1: 7.45 # 26.5/2-20.7
  columnDY1: 0

  # holes
  holeDiameter2: 1.4
  padDiameter2: 0
  padPosition2: -1.58,-7.885 # 26.5/2-11.67, 20.55/2-18.16
  holeDiameter3: 1.4
  padDiameter3: 0
  padPosition3: 8.22,8.165 # 26.5/2-21.47, 20.55/2-2.11
